<?php
/**
 * Export file view
 *
 * @package		CSVIVirtueMart
 * @author 		Roland Dalmulder
 * @link 		http://www.csvimproved.com
 * @copyright 	Copyright (C) 2006 - 2012 RolandD Cyber Produksi
 * @license 	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @version 	$Id: view.html.php 1892 2012-02-11 11:01:09Z RolandD $
 */

defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

jimport( 'joomla.application.component.view' );

/**
 * Export file View
 *
 * @package CSVIVirtueMart
 */
class CsvivirtuemartViewExportfile extends JView {
	
	/**
	 * Export file display method
	 *
	 * @todo	Add export without template
	 * @return void
	 */
	public function display($tpl = null) {
		
		// Process the export data
		$result = $this->get('ProcessData');
		
		// Load the results
		$logresult = $this->get('Stats', 'log');
		$this->assignRef('logresult', $logresult);
		
		// Load the run ID
		$csvilog = JRequest::getVar('csvilog');
		$this->assignRef('run_id', $csvilog->getId());
		
		// Display it all
		parent::display($tpl);
	}
}
?>